Subject: [nemo] Multihoming and Policy-Base routing regarding dynamic interfaces

From: William D Ivancic <[email-masked]>
Date: Sat, 08 Nov 2003 09:42:10 -0500

Relative to draft draft-charbon-nemo-multihoming-evaluation-00

Although not strictly within the scope of the nemo charter, I think this 
may be useful to understand.  I (and probably others) am ignorant on 
setting up policy-base routing.   I believe this is somewhat straight 
forward when interfaces are static and assumed to be active (the same goes 
for load sharing).  However, It appears that this would be very difficult 
when  interfaces (via tunnels) are dynamically being created and removed.

Can anyone provide some insight as to how this might be done and if it 
would require significant modifications to today's router implementations?

It seams to me that if a force some traffic over a route and that route 
goes away, one may still wish for that traffic to get through on another 
interface (tunnel).

Will